Автор Тема: java-11  (Прочитано 15297 раз)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 812
Re: java-11
« Ответ #15 : 07.06.2021 19:04:03 »
При попытке установить EDT
bash-4.4# ./1ce-installer
bash: ./1ce-installer: Недопустимый аргумент
получаю ошибку. Видимо что-то с джавой не то.
а может с bash, у альта он вроде не совсем стандартный....

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 696
    • Домашняя страница
    • Email
Re: java-11
« Ответ #16 : 07.06.2021 20:05:28 »
Стандартный, но лучше запустить
bash4 1ce-installer
Андрей Черепанов (cas@)

Оффлайн FreeArcher

  • Завсегдатай
  • *
  • Сообщений: 5
    • Email
Re: java-11
« Ответ #17 : 12.06.2021 11:13:17 »
Стандартный, но лучше запустить
bash4 1ce-installer
и так нет

bash-4.4# bash4 ./1ce-installer
./1ce-installer: ./1ce-installer: не удаётся запустить бинарный файл

Оффлайн FreeArcher

  • Завсегдатай
  • *
  • Сообщений: 5
    • Email
Re: java-11
« Ответ #18 : 12.06.2021 11:38:50 »
И вот такую ошибку я получаю

Установленная Java '/usr/lib/jvm/java-11-openjdk-11.0.9.11-0.3.ea.x86_64' не содержит JavaFX.
Пожалуйста, установите Java с JavaFX и укажите в переменной окружения JAVA_HOME место установки Java.
Без JavaFX вы можете использовать CLI версию Установщика 1С:Предприятия.

А openjfx только 8 версии в репозитории. java нужна 11.

1С рекомендует bellsoft_jdk11 ставить но пакет не ставится с ошибкой:
bash-4.4# rpm -i ./bellsoft_jdk11.0.9_12_linux_amd64_full.rpm
ошибка: Неудовлетворенные зависимости:
/usr/sbin/alternatives нужен для bellsoft-java11-full-1:11.0.9+12-1.x86_64
bash-4.4#
замкнутый круг...

Оффлайн FreeArcher

  • Завсегдатай
  • *
  • Сообщений: 5
    • Email
Re: java-11
« Ответ #19 : 12.06.2021 11:57:37 »
Меня спасла вот эта инструкция

https://www.basealt.ru/fileadmin/user_upload/compatibility/instr/d4579cfe056fe5ebb522bba177dde2cab12b0dba.pdf

Где бы все это разом прочитать можно есть доступ ко всем инструкциям где то?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 696
    • Домашняя страница
    • Email
Re: java-11
« Ответ #20 : 12.06.2021 12:02:35 »
Есть. В таблице совместимости на основной странице basealt.ru.
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 812
Re: java-11
« Ответ #21 : 22.06.2021 15:03:05 »
Меня спасла вот эта инструкция

https://www.basealt.ru/fileadmin/user_upload/compatibility/instr/d4579cfe056fe5ebb522bba177dde2cab12b0dba.pdf

Где бы все это разом прочитать можно есть доступ ко всем инструкциям где то?
там в результате косяк что в  /etc/java/java.conf не установлен JAVA_HOME и например pdftk не работает.